import type { ExtractPropTypes } from 'vue';
import type Qrcode from './qrcode.vue';
import { type CornerDotType, type CornerSquareType, type DotType, type ErrorCorrectionLevel, type GradientType } from 'qr-code-styling';
export declare const qrcodeProps: {
    readonly bordered: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 200, boolean>;
    readonly padding: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
    readonly data: never;
    readonly margin: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly dotsType: import("ll-plus/es/utils").EpPropFinalized<() => DotType, unknown, unknown, "rounded", boolean>;
    readonly dotsColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#000000", boolean>;
    readonly dotsGradientType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"single" | GradientType>, unknown, unknown, "single", boolean>;
    readonly dotsGradientStartColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ff0000", boolean>;
    readonly dotsGradientEndColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#0000ff", boolean>;
    readonly dotsGradientRotation: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly cornersSquareType: import("ll-plus/es/utils").EpPropFinalized<() => CornerSquareType, unknown, unknown, "square", boolean>;
    readonly cornersSquareColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#000000", boolean>;
    readonly cornersSquareGradientType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"single" | GradientType>, unknown, unknown, "single", boolean>;
    readonly cornersSquareGradientStartColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ff0000", boolean>;
    readonly cornersSquareGradientEndColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#0000ff", boolean>;
    readonly cornersSquareGradientRotation: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly cornersDotType: import("ll-plus/es/utils").EpPropFinalized<() => CornerDotType, unknown, unknown, "square", boolean>;
    readonly cornersDotColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#000000", boolean>;
    readonly cornersDotGradientType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"single" | GradientType>, unknown, unknown, "single", boolean>;
    readonly cornersDotGradientStartColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ff0000", boolean>;
    readonly cornersDotGradientEndColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#0000ff", boolean>;
    readonly cornersDotGradientRotation: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly bgColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ffffff", boolean>;
    readonly bgGradientType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"single" | GradientType>, unknown, unknown, "single", boolean>;
    readonly bgGradientStartColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ff0000", boolean>;
    readonly bgGradientEndColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#0000ff", boolean>;
    readonly bgGradientRotation: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly image: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly imageHideBgDots: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly imageSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0.4, boolean>;
    readonly imageMargin: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly errorLevel: import("ll-plus/es/utils").EpPropFinalized<() => ErrorCorrectionLevel, unknown, unknown, "M", boolean>;
};
export type QrcodeProps = ExtractPropTypes<typeof qrcodeProps>;
export type QrcodeInstance = InstanceType<typeof Qrcode>;
